Maemomm Reference Documentation: hildon-fmmm

Main Page Namespaces Book

# Hildon::FileChooserDialog Class Reference
[Dialogs, FileSystem]

Inheritance diagram for Hildon::FileChooserDialog:

List of all members.

## Detailed Description

The Hildon::FileChooserDialog is a dialog used to save and open user files.

Since it is based on the Gtk::FileChooser, the API is similar to the one used in GTK+/gtkmm. For instance, you can use get_filename() from the Gtk::FileChooser base class.

The Hildon::FileChooserDialog is usually opened by the signal handler of the Open or Save menu entries or toolbar buttons.

## Public Member Functions
Gtk::Widget* | add_extensions_combo (const Glib::StringArrayHandle& extensions, const Glib::StringArrayHandle& ext_names)
void | add_extra (Gtk::Widget& widget)
| FileChooserDialog (Gtk::Window& parent, Gtk::FileChooserAction action)
| FileChooserDialog (Gtk::FileChooserAction action)
void | focus_to_input ()
std::string | get_extension () const
Glib::ustring | get_safe_folder () const
| Gets safe folder location as local path.
Glib::ustring | get_safe_folder_uri () const
| Gets safe folder location as uri.
bool | get_show_upnp () const
const HildonFileChooserDialog* | gobj () const
| Provides access to the underlying C GtkObject.
HildonFileChooserDialog* | gobj ()
| Provides access to the underlying C GtkObject.
void | set_extension (const std::string& extension)
void | set_safe_folder (const Glib::ustring& local_path)
| Sets a safe folder that is used as a fallback in a case that automatic location change fails.
void | set_safe_folder_uri (const Glib::ustring& uri)
| See set_safe_folder.
void | set_show_upnp (bool value)
virtual | ~FileChooserDialog ()
## Related Functions
(Note that these are not member functions.)
Hildon::FileChooserDialog* | wrap (HildonFileChooserDialog* object, bool take_copy=false)
  | Parameters:
  | object | The C instance

## Constructor & Destructor Documentation

virtual Hildon::FileChooserDialog::~FileChooserDialog | ( |  | ) | `[virtual]`

Hildon::FileChooserDialog::FileChooserDialog | ( | Gtk::FileChooserAction | action | ) | `[explicit]`

Hildon::FileChooserDialog::FileChooserDialog | ( | Gtk::Window & | parent,
|  | Gtk::FileChooserAction | action |
| ) |  |  | `[explicit]`

## Member Function Documentation

Gtk::Widget* Hildon::FileChooserDialog::add_extensions_combo | ( | const Glib::StringArrayHandle & | extensions,
|  | const Glib::StringArrayHandle & | ext_names |
| ) |  |  |

void Hildon::FileChooserDialog::add_extra | ( | Gtk::Widget & | widget | ) |

void Hildon::FileChooserDialog::focus_to_input | ( |  | ) |

std::string Hildon::FileChooserDialog::get_extension | ( |  | ) | const

Glib::ustring Hildon::FileChooserDialog::get_safe_folder | ( |  | ) | const

Gets safe folder location as local path.

Returns:
  A local path.

Glib::ustring Hildon::FileChooserDialog::get_safe_folder_uri | ( |  | ) | const

Gets safe folder location as uri.

Returns:
  An uri.

bool Hildon::FileChooserDialog::get_show_upnp | ( |  | ) | const

const HildonFileChooserDialog* Hildon::FileChooserDialog::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

HildonFileChooserDialog* Hildon::FileChooserDialog::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::Dialog.

void Hildon::FileChooserDialog::set_extension | ( | const std::string & | extension | ) |

void Hildon::FileChooserDialog::set_safe_folder | ( | const Glib::ustring & | local_path | ) |

Sets a safe folder that is used as a fallback in a case that automatic location change fails.

Parameters:

  | local_path | A path to safe folder.

void Hildon::FileChooserDialog::set_safe_folder_uri | ( | const Glib::ustring & | uri | ) |

See set_safe_folder.

Parameters:

  | uri | An uri to safe folder.

void Hildon::FileChooserDialog::set_show_upnp | ( | bool | value | ) |

## Friends And Related Function Documentation

Hildon::FileChooserDialog* wrap | ( | HildonFileChooserDialog * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

Parameters:

  | object | The C instance

Parameters:

  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- file-chooser-dialog.h